Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb
Interface Store

    public interface Store

A Store is one RDF dataset instance - it is the unit of query. The Store class is the SDB specific mechanisms need to implement an RDF Dataset. DatasetStore provide the dataset interface. A store consists of a number of handlers for different aspects of the process of setting up and querying a database-backed Store. This means Store for new databases can be assmelbed from those standard components that work, with database-specific code only where necessary. A common case if the formatting of the database - this is often DB-specific yet SQL generation of query is more standard.

Author:
  Andy Seaborne

Method Summary
`void` | `close()` Stores should be closed explicitly.
`com.hp.hpl.jena.sdb.store.StoreConfig` | `getConfiguration()` Return the configuration of this Store
`com.hp.hpl.jena.sdb.sql.SDBConnection` | `getConnection()` Return the connection to the implementing database
`com.hp.hpl.jena.sdb.store.DatabaseType` | `getDatabaseType()` Return the database type of the store
`com.hp.hpl.jena.sdb.store.LayoutType` | `getLayoutType()` Return the layout type of the store
`com.hp.hpl.jena.sdb.store.StoreLoader` | `getLoader()` Return the (bulk) loader
`com.hp.hpl.jena.sdb.layout2.TableDescNodes` | `getNodeTableDesc()` Location of the nodes in the store (if meaningful)
`com.hp.hpl.jena.sdb.layout2.TableDescQuads` | `getQuadTableDesc()` Where the named graphs are in is store
`com.hp.hpl.jena.sdb.compiler.QueryCompilerFactory` | `getQueryCompilerFactory()` Return the producer of processors that turn SPARQL queries into SQL expressions
`long` | `getSize()` Get the size of this store
`long` | `getSize(com.hp.hpl.jena.graph.Node graphNode)` Get the size of the graph corresponding to graphNode
`com.hp.hpl.jena.sdb.store.SQLBridgeFactory` | `getSQLBridgeFactory()` Factory for SQL bridges for this store
`com.hp.hpl.jena.sdb.store.SQLGenerator` | `getSQLGenerator()` Get the SQL-from-relational algebra generator
`com.hp.hpl.jena.sdb.store.StoreFormatter` | `getTableFormatter()` Return the processor that creates the database tables
`com.hp.hpl.jena.sdb.layout2.TableDescTriples` | `getTripleTableDesc()` Where the default graph is store
`boolean` | `isClosed()` Has this store been closed?

Method Detail

### getConnection

    com.hp.hpl.jena.sdb.sql.SDBConnection getConnection()

  Return the connection to the implementing database

### getQueryCompilerFactory

    com.hp.hpl.jena.sdb.compiler.QueryCompilerFactory getQueryCompilerFactory()

  Return the producer of processors that turn SPARQL queries into SQL expressions

### getSQLBridgeFactory

    com.hp.hpl.jena.sdb.store.SQLBridgeFactory getSQLBridgeFactory()

  Factory for SQL bridges for this store

### getSQLGenerator

    com.hp.hpl.jena.sdb.store.SQLGenerator getSQLGenerator()

  Get the SQL-from-relational algebra generator

### getTableFormatter

    com.hp.hpl.jena.sdb.store.StoreFormatter getTableFormatter()

  Return the processor that creates the database tables

### getLoader

    com.hp.hpl.jena.sdb.store.StoreLoader getLoader()

  Return the (bulk) loader

### getConfiguration

    com.hp.hpl.jena.sdb.store.StoreConfig getConfiguration()

  Return the configuration of this Store

### getDatabaseType

    com.hp.hpl.jena.sdb.store.DatabaseType getDatabaseType()

  Return the database type of the store

### getLayoutType

    com.hp.hpl.jena.sdb.store.LayoutType getLayoutType()

  Return the layout type of the store

### close

    void close()

  Stores should be closed explicitly. Some stores may require specific finalization actions (e.g. embedded databases), and some stores may be able to release system resources.

### isClosed

    boolean isClosed()

  Has this store been closed?

### getSize

    long getSize()

  Get the size of this store

### getSize

    long getSize(com.hp.hpl.jena.graph.Node graphNode)

  Get the size of the graph corresponding to graphNode

### getTripleTableDesc

    com.hp.hpl.jena.sdb.layout2.TableDescTriples getTripleTableDesc()

  Where the default graph is store

### getQuadTableDesc

    com.hp.hpl.jena.sdb.layout2.TableDescQuads getQuadTableDesc()

  Where the named graphs are in is store

### getNodeTableDesc

    com.hp.hpl.jena.sdb.layout2.TableDescNodes getNodeTableDesc()

  Location of the nodes in the store (if meaningful)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP